//
//  $Id: PrintCardPreferences.cc,v 1.1 2000/06/10 00:19:46 sergey Exp $
//

#include <Pilot.h>
#include "PrintCardPreferences.h"
#include "Util/DataOutputStream.h"
#include "Util/DataInputStream.h"


PrintCardPreferences::PrintCardPreferences()
{
    setDefaults();
}


// operations

void PrintCardPreferences::setDefaults()
{
    _frameHeight = 150;     // ~ 55 mm
    _frameWidth  = 235;     // ~ 85 mm
    _frameMargin = 10;      // ~ 3.5 mm
    _scaleX      = 100;     // in %
    _scaleY      = 100;     // in %
    _oneCopy     = true;
}

void PrintCardPreferences::serialize(Util::DataOutputStream& stream) const
{
    stream.write(_frameHeight);
    stream.write(_frameWidth);
    stream.write(_frameMargin);
    stream.write(_scaleX);
    stream.write(_scaleY);
    stream.write(_oneCopy);
}

void PrintCardPreferences::restore(const Util::DataInputStream& stream)
{
    _frameHeight = stream.readAs<int>();
    _frameWidth = stream.readAs<int>();
    _frameMargin = stream.readAs<int>();
    _scaleX = stream.readAs<int>();
    _scaleY = stream.readAs<int>();
    _oneCopy = stream.readAs<bool>();
}


